---
title: llarp::EventLoopWakeup
summary: distinct event loop waker upper; used to idempotently schedule a task on the next event loop 

---

# llarp::EventLoopWakeup



distinct event loop waker upper; used to idempotently schedule a task on the next event loop  [More...](#detailed-description)


`#include <ev.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~EventLoopWakeup](Classes/classllarp_1_1EventLoopWakeup.md#function-~eventloopwakeup)**() =default<br>Destructor: remove the task from the event loop task.  |
| virtual void | **[Trigger](Classes/classllarp_1_1EventLoopWakeup.md#function-trigger)**() =0<br>trigger this task to run on the next event loop iteration; does nothing if already triggered.  |

## Detailed Description

```cpp
class llarp::EventLoopWakeup;
```

distinct event loop waker upper; used to idempotently schedule a task on the next event loop 

Created via EventLoop::make_waker(...). 

## Public Functions Documentation

### function ~EventLoopWakeup

```cpp
virtual ~EventLoopWakeup() =default
```

Destructor: remove the task from the event loop task. 

(Note that destruction here only initiates removal of the task from the underlying event loop: it is _possible_ for the callback to fire again if already triggered depending on the underlying implementation). 


### function Trigger

```cpp
virtual void Trigger() =0
```

trigger this task to run on the next event loop iteration; does nothing if already triggered. 

-------------------------------

Updated on 2023-01-09 at 19:27:44 +0000